OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.APPLE.ElementArray

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAPPLEElementArray :: MonadIO m => m Bool
- gl_APPLE_element_array :: Bool
- pattern GL_ELEMENT_ARRAY_APPLE :: GLenum
- pattern GL_ELEMENT_ARRAY_POINTER_APPLE :: GLenum
- pattern GL_ELEMENT_ARRAY_TYPE_APPLE :: GLenum
- glDrawElementArrayAPPLE :: MonadIO m => GLenum -> GLint -> GLsizei -> m ()
- glDrawRangeElementArrayAPPLE :: MonadIO m => GLenum -> GLuint -> GLuint -> GLint -> GLsizei -> m ()
- glElementPointerAPPLE :: MonadIO m => GLenum -> Ptr a -> m ()
- glMultiDrawElementArrayAPPLE :: MonadIO m => GLenum -> Ptr GLint -> Ptr GLsizei -> GLsizei -> m ()
- glMultiDrawRangeElementArrayAPPLE :: MonadIO m => GLenum -> GLuint -> GLuint -> Ptr GLint -> Ptr GLsizei -> GLsizei -> m ()

# Extension Support

glGetAPPLEElementArray :: MonadIO m => m Bool Source #

Is the APPLE_element_array extension supported?

gl_APPLE_element_array :: Bool Source #

Is the APPLE_element_array extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLEElementArray` in those cases instead.

# Enums

pattern GL_ELEMENT_ARRAY_APPLE :: GLenum Source #

pattern GL_ELEMENT_ARRAY_POINTER_APPLE :: GLenum Source #

pattern GL_ELEMENT_ARRAY_TYPE_APPLE :: GLenum Source #

# Functions

glDrawElementArrayAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLint | `first`.
-> GLsizei | `count`.
-> m () |

glDrawRangeElementArrayAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `start`.
-> GLuint | `end`.
-> GLint | `first`.
-> GLsizei | `count`.
-> m () |

glElementPointerAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type ElementPointerTypeATI.
-> Ptr a | `pointer` pointing to `COMPSIZE(type)` elements of type `a`.
-> m () |

glMultiDrawElementArrayAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> Ptr GLint | `first` pointing to `primcount` elements of type `GLint`.
-> Ptr GLsizei | `count` pointing to `primcount` elements of type `GLsizei`.
-> GLsizei | `primcount`.
-> m () |

glMultiDrawRangeElementArrayAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `start`.
-> GLuint | `end`.
-> Ptr GLint | `first` pointing to `primcount` elements of type `GLint`.
-> Ptr GLsizei | `count` pointing to `primcount` elements of type `GLsizei`.
-> GLsizei | `primcount`.
-> m () |